Package org.apache.felix.hc.core.impl.scheduling

## Class CronJobFactory

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.CronJobFactory

    public class CronJobFactory
    extends Object

Component without direct quartz imports (can always start) that will provide a QuartzCronScheduler on demand.

### Constructor Summary

Constructors
`CronJobFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext bundleContext)`
`AsyncJob` `createAsyncCronJob​(Runnable runnable, String id, String group, String cronExpression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CronJobFactory

    public CronJobFactory()

### Method Detail

#### activate

    protected void activate​(org.osgi.framework.BundleContext bundleContext)

#### createAsyncCronJob

    public AsyncJob createAsyncCronJob​(Runnable runnable,
                                       String id,
                                       String group,
                                       String cronExpression)